## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ICUFormatNumberFunctor.hpp File Reference

Include dependency graph for ICUFormatNumberFunctor.hpp:

Go to the source code of this file.

## Compounds

- struct DecimalFormatCacheStruct
- class DecimalFormatCacheStruct::DecimalFormatDeleteFunctor
- struct DecimalFormatCacheStruct::DecimalFormatFindFunctor

## Defines

- #define FUNCTIONICUFORMATNUMBERFUNCTOR_HEADER_GUARD_1357924680

## Typedefs

- typedef DecimalFormat DecimalFormatType

## Functions

- XALAN_USES_MEMORY_MANAGER (DecimalFormatCacheStruct) class XALAN_ICUBRIDGE_EXPORT ICUFormatNumberFunctor

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  typedef StylesheetExecutionContextDefault::FormatNumberFunctor FormatNumberFunctor

## Define Documentation

#define FUNCTIONICUFORMATNUMBERFUNCTOR_HEADER_GUARD_1357924680

Value:

## Typedef Documentation

typedef DecimalFormat DecimalFormatType

## Function Documentation

XALAN_USES_MEMORY_MANAGER ( | DecimalFormatCacheStruct )

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN typedef StylesheetExecutionContextDefault::FormatNumberFunctor FormatNumberFunctor

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.